Package org.eclipse.emf.cdo.server

# Interface IRepository.Props

Enclosing interface:
  IRepository

public static interface IRepository.Props
Contains symbolic constants that specifiy valid keys of `repository properties`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALLOW_INTERRUPT_RUNNING_QUERIES`
`static final String`
`CHECK_UNIT_MOVES`
`static final String`
`COMMIT_INFO_STORAGE`
Possible values: NO | YES | WITH_MERGE_SOURCE.
`static final String`
`ENSURE_REFERENTIAL_INTEGRITY`
`static final String`
`ID_GENERATION_LOCATION`
`static final String`
`OPTIMISTIC_LOCKING_TIMEOUT`
`static final String`
`OVERRIDE_UUID`
Used to override the automatic UUID generation during first startup of a repository.
`static final String`
`SERIALIZE_COMMITS`
`static final String`
`SUPPORTING_AUDITS`
`static final String`
`SUPPORTING_BRANCHES`
`static final String`
`SUPPORTING_ECORE`
Deprecated.
As of 4.2 instances of Ecore are always supported (on demand).
`static final String`
`SUPPORTING_LOGIN_PEEKS`
`static final String`
`SUPPORTING_UNITS`

## Field Details

### OVERRIDE_UUID

static final String OVERRIDE_UUID
Used to override the automatic UUID generation during first startup of a repository. Passing the empty string causes the UUID of the repository to be set to its `name`.

Since:
  2.0
See Also:
  - Constant Field Values

### SUPPORTING_LOGIN_PEEKS

static final String SUPPORTING_LOGIN_PEEKS

Since:
  4.20
See Also:
  - Constant Field Values

### SUPPORTING_AUDITS

static final String SUPPORTING_AUDITS

Since:
  2.0
See Also:
  - Constant Field Values

### SUPPORTING_BRANCHES

static final String SUPPORTING_BRANCHES

Since:
  3.0
See Also:
  - Constant Field Values

### SUPPORTING_UNITS

static final String SUPPORTING_UNITS

Since:
  4.5
See Also:
  - Constant Field Values

### CHECK_UNIT_MOVES

static final String CHECK_UNIT_MOVES

Since:
  4.5
See Also:
  - Constant Field Values

### SERIALIZE_COMMITS

static final String SERIALIZE_COMMITS

Since:
  4.2
See Also:
  - Constant Field Values

### ENSURE_REFERENTIAL_INTEGRITY

static final String ENSURE_REFERENTIAL_INTEGRITY

Since:
  3.0
See Also:
  - Constant Field Values

### ALLOW_INTERRUPT_RUNNING_QUERIES

static final String ALLOW_INTERRUPT_RUNNING_QUERIES

Since:
  4.0
See Also:
  - Constant Field Values

### ID_GENERATION_LOCATION

static final String ID_GENERATION_LOCATION

Since:
  4.1
See Also:
  - Constant Field Values

### COMMIT_INFO_STORAGE

static final String COMMIT_INFO_STORAGE
Possible values: NO | YES | WITH_MERGE_SOURCE.

Since:
  4.6
See Also:
  - Constant Field Values

### OPTIMISTIC_LOCKING_TIMEOUT

static final String OPTIMISTIC_LOCKING_TIMEOUT

Since:
  4.2
See Also:
  - Constant Field Values

### SUPPORTING_ECORE

@Deprecated static final String SUPPORTING_ECORE
Deprecated.
As of 4.2 instances of Ecore are always supported (on demand).

Since:
  4.0
See Also:
  - Constant Field Values